#ifndef PTFPS_SOLARIS_H
#define PTFPS_SOLARIS_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */

typedef struct {
    uid_t ruid, euid, suid;
    gid_t rgid, egid, sgid;
    char ruser[16], euser[16], suser[16];
    char rgroup[16], egroup[16], sgroup[16];
    pid_t pid, ppid;
    time_t stime, cputime;
    double pcpu, pmem;
    unsigned long vsz, rss, flags;
    int pri, nice;
    char state;
    char wchan[10];
    char tty[32];
    char cmd[80];
    char args[80];
} process_t;

#endif /* PTFPS_SOLARIS_H */
